RNETCLIENT(1)

NOME

rnetclient - Envia a Declaração de Imposto de Renda para a Receita Federal

SINÓPSE
rnetclient [-d|--declaration] <ARQUIVO> [-o <DIRETÓRIO>|--output-dir=<DIRETÓRIO>]

DESCRIÇÃO

rnetclient é utilizado para enviar a Declaração de Imposto de Renda para a Receita Federal. Ele comunica-se com o servidor oficial da Receita Federal, garante que uma conexão segura está estabelecida, e envia o arquivo. O programa é o produto de uma engenharia reversa no ReceitaNet, que é a versão proprietária e não-livre do software que realiza a mesma tarefa que o rnetclient.

OPÇÕES

-d <ARQUIVO>, --declaration=<ARQUIVO>
    Fornece o nome do arquivo da declaração que será enviado à Receita Federal. Este argumento é obrigatório. Por razões históricas, o usuário também pode fornecer o nome do arquivo de declaração sem especificar o modificador -d.

-o <DIRETÓRIO>, --output-dir=<DIRETÓRIO>
    Especifica o diretório de saída onde o recibo será salvo. Este argumento é opcional; se nenhum diretório de saída for especificado, então o recibo será salvo no diretório corrente (CWD).

-V, --version
    Imprime a versão do programa e termina a execução.

HISTÓRIA E MOTIVAÇÃO

Não há como falar sobre o rnetclient sem mencionar o IRPF-Livre, que é um projeto mais antigo iniciado e mantido por Alexandre Oliva. Este projeto existe porque a Receita Federal não disponibiliza o código-fonte do software utilizado para preencher a Declaração de Imposto de Renda. O Alexandre ainda luta para fazer com que a Receita Federal disponibilize este programa como Software Livre, mas ele também decidiu produzir e lançar uma versão Livre deste software. No entanto, ainda havia mais um software de código fechado necessário para que fosse possível cumprir suas obrigações com o governo Brasileiro: o programa utilizado para submeter a declaração para a Receita Federal. Foi assim que o rnetclient nasceu.

O programa começou como um projeto pessoal de Thadeu Lima de Souza Cascardo. Ele teve que fazer engenharia reversa no software proprietário de maneira a conseguir replicar sua funcionalidade, e fez o primeiro lançamento do programa em 2013. Em 2014, Alexandre Oliva e Sergio Durigan Junior juntaram-se ao projeto e ajudaram na disponibilização da segunda versão.

PROBLEMAS

Problemas deverão ser reportados para <softwares-impostos@fsfla.org>.

PÁGINA NA INTERNET

<http://wiki.libreplanetbr.org/rnetclient>

AUTORES

Thadeu Lima de Souza Cascardo <cascardo (at) cascardo (dot) info>
Sergio Durigan Junior <sergiodj (at) sergiodj (dot) net>
Alexandre Oliva <lxoliva (at) fsfla (dot) org>